Scriptname kuFOFPlayerAliasS extends ReferenceAlias  

Function checkMenuMode (Int menuModeId = 1)
	kuFOFQS mainQuest = GetOwningQuest () as kuFOFQS
	If Utility.IsInMenuMode ()
		mainQuest.OnMenuMode (menuModeId)
	EndIf
EndFunction

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	checkMenuMode ()
EndEvent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akDestContainer)
	checkMenuMode ()
EndEvent

Event OnMagicEffectApply(ObjectReference akCaster, MagicEffect akEffect)
	checkMenuMode ()
EndEvent

Event OnObjectEquipped(Form akBaseObject, ObjectReference akReference)
	checkMenuMode ()
EndEvent

Event OnObjectUnequipped(Form akBaseObject, ObjectReference akReference)
	checkMenuMode ()
EndEvent
